Debian Bug report logs - #666482
texmacs: upcoming rsvg removal

version graph

Package: src:texmacs; Maintainer for src:texmacs is Atsuhito KOHDA <kohda@debian.org>;

Reported by: biebl@debian.org

Date: Sat, 31 Mar 2012 01:30:17 UTC

Severity: important

Tags: upstream

Found in version texmacs/1:1.0.7.15-1

Fixed in version texmacs/1:1.0.7.15-2

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Atsuhito KOHDA <kohda@debian.org>:
Bug#666482; Package src:texmacs. (Sat, 31 Mar 2012 01:30:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to biebl@debian.org:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sat, 31 Mar 2012 01:30:20 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: biebl@debian.org
To: maintonly@bugs.debian.org
Subject: texmacs: upcoming rsvg removal
Date: Sat, 31 Mar 2012 03:27:33 +0200
Source: texmacs
Version: 1:1.0.7.15-1
Severity: important
User: pkg-gnome-maintainers@lists.alioth.debian.org
Usertags: rsvg-removal

Hi,

during an automated test it was detected that texmacs uses the rsvg
utility [1].

This tool has long been deprecated and replaced by rsvg-convert. In a
recent upstream commit rsvg was removed from the librsvg package [2].

The rsvg-convert utility is command line compatible with rsvg, so the
update should be straight forward.

Please update texmacs at your earliest convenience.


Thanks!

Michael,
on behalf of the Debian GNOME team.

[1] http://people.debian.org/~biebl/rsvg-removal/texmacs_1.0.7.15-1.log
[2] http://git.gnome.org/browse/librsvg/commit/?id=fd76212e2dc8e41b2c23d6e76c02cc7803da4a12





Information forwarded to Atsuhito KOHDA <kohda@debian.org>:
Bug#666482; Package src:texmacs. (Sat, 07 Apr 2012 05:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kamaraju Kusumanchi <kamaraju@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sat, 07 Apr 2012 05:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 666482-maintonly@bugs.debian.org (full text, mbox):

From: Kamaraju Kusumanchi <kamaraju@gmail.com>
To: biebl@debian.org, 666482-maintonly@bugs.debian.org
Subject: Re: Bug#666482: texmacs: upcoming rsvg removal
Date: Sat, 7 Apr 2012 01:15:35 -0400
[Message part 1 (text/plain, inline)]
> The rsvg-convert utility is command line compatible with rsvg, so the
> update should be straight forward.
>
> Please update texmacs at your earliest convenience.


debian_chroot:sid:kusumanchi:/home/texmacs/texmacs-1.0.7.15# dpkg -l
librsvg2-bin
ii  librsvg2-bin
2.36.0-5                                      command-line and graphical
viewers for SVG files

debian_chroot:sid:kusumanchi:/home/texmacs/texmacs-1.0.7.15# ls -al
/usr/bin/rsvg
lrwxrwxrwx 1 root root 12 Apr  2 04:12 /usr/bin/rsvg -> rsvg-convert

So it looks like rsvg is actually a symlink to rsvg-convert. Will this
symlink be available in future versions of librsvg2-bin?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#666482; Package src:texmacs. (Sat, 07 Apr 2012 05:57:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sat, 07 Apr 2012 05:57:22 GMT) Full text and rfc822 format available.

Message #15 received at 666482@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 666303@bugs.debian.org, 666472@bugs.debian.org, 666473@bugs.debian.org, 666474@bugs.debian.org, 666476@bugs.debian.org, 666478@bugs.debian.org, 666479@bugs.debian.org, 666480@bugs.debian.org, 666481@bugs.debian.org, 666482@bugs.debian.org, 666483@bugs.debian.org, 666485@bugs.debian.org, 666634@bugs.debian.org, 666475@bugs.debian.org
Subject: upcoming rsvg removal
Date: Sat, 07 Apr 2012 07:53:51 +0200
[Message part 1 (text/plain, inline)]
Hi everyone,

a few questions have come up since I filed those bugs reports and my bug
description was not fully accurate, I'll try address them with this email.

On 06.04.2012 23:25, Barak A. Pearlmutter wrote:
>> As I wrote, rsvg and rsvg-convert are command line compatible, so
>> > you basically just need to do a search and replace for rsvg.
> Turns out not to be quite the case.
>
>   rsvg         -w 64 -h 64 foo.svg > foo.png    # works
>   rsvg-convert -w 64 -h 64 foo.svg > foo.png    # FAILS
>   rsvg-convert -w 64 -h 64 -o foo.png foo.svg   # works


This is indeed correct. rsvg and rsvg-convert are *not* fully command
line compatbile in one regard. rsvg-convert expects an "-o" parameter
for the output file whereas rsvg doesn't, e.g.

  rsvg inputfile.svg outputfile.png
  rsvg-convert inputfile.svg -o outputfile.png

This is something you need to change when switching from rsvg to
rsvg-convert.

The other parameters (-w,-h,-d,-p,-x,-y,-f) behave the same though.


On 07.04.2012 07:15, Kamaraju Kusumanchi wrote:
> debian_chroot:sid:kusumanchi:/home/texmacs/texmacs-1.0.7.15# ls -al
> /usr/bin/rsvg
> lrwxrwxrwx 1 root root 12 Apr  2 04:12 /usr/bin/rsvg -> rsvg-convert
>
> So it looks like rsvg is actually a symlink to rsvg-convert. Will this
> symlink be available in future versions of librsvg2-bin?

As I wrote, upstream removed the old rsvg python script. In the Debian
package, I added that symlink to not break existing packages until they
have been updated. When rsvg-convert is called as "rsvg", i.e. via the
symlink, it set's the -o parameter automatically to be fully compatible
with the old rsvg script.

Once all packages have been fixed to use rsvg-convert instead of rsvg, I
will remove rsvg in the next release cycle. I would like to see all
packages being fixed for wheezy, that means the rsvg symlink would be
removed in wheezy+1.

If there are still open questions, please don't hesitate to ask.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#666482; Package src:texmacs. (Sat, 07 Apr 2012 14:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kamaraju Kusumanchi <kamaraju@gmail.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sat, 07 Apr 2012 14:57:02 GMT) Full text and rfc822 format available.

Message #20 received at 666482@bugs.debian.org (full text, mbox):

From: Kamaraju Kusumanchi <kamaraju@gmail.com>
To: Michael Biebl <biebl@debian.org>, 666482@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#666482: upcoming rsvg removal
Date: Sat, 7 Apr 2012 10:53:02 -0400
[Message part 1 (text/plain, inline)]
tags 666482 + upstream
thanks

On Sat, Apr 7, 2012 at 1:53 AM, Michael Biebl <biebl@debian.org> wrote:

> As I wrote, upstream removed the old rsvg python script. In the Debian
> package, I added that symlink to not break existing packages until they
> have been updated. When rsvg-convert is called as "rsvg", i.e. via the
> symlink, it set's the -o parameter automatically to be fully compatible
> with the old rsvg script.
>
> Once all packages have been fixed to use rsvg-convert instead of rsvg, I
> will remove rsvg in the next release cycle. I would like to see all
> packages being fixed for wheezy, that means the rsvg symlink would be
> removed in wheezy+1.
>
> If there are still open questions, please don't hesitate to ask.
>
> Cheers,
> Michael
>

This bug is reported upstream
https://savannah.gnu.org/bugs/?36125
[Message part 2 (text/html, inline)]

Added tag(s) upstream. Request was from Kamaraju Kusumanchi <kamaraju@gmail.com> to control@bugs.debian.org. (Sat, 07 Apr 2012 14:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#666482; Package src:texmacs. (Sat, 30 Jun 2012 12:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sat, 30 Jun 2012 12:42:07 GMT) Full text and rfc822 format available.

Message #27 received at 666482@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 666482@bugs.debian.org
Subject: texmacs: upcoming rsvg removal
Date: Sat, 30 Jun 2012 14:39:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

any updates on this bug?
Would be great to have a fixed package in wheezy.

Thanks,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Fri, 20 Jul 2012 04:21:03 GMT) Full text and rfc822 format available.

Notification sent to biebl@debian.org:
Bug acknowledged by developer. (Fri, 20 Jul 2012 04:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 666482-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 666482-close@bugs.debian.org
Subject: Bug#666482: fixed in texmacs 1:1.0.7.15-2
Date: Fri, 20 Jul 2012 04:17:17 +0000
Source: texmacs
Source-Version: 1:1.0.7.15-2

We believe that the bug you reported is fixed in the latest version of
texmacs, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666482@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated texmacs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 10 Jul 2012 12:42:28 +0900
Source: texmacs
Binary: texmacs texmacs-common
Architecture: source all i386
Version: 1:1.0.7.15-2
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 texmacs    - WYSIWYG mathematical text editor using TeX fonts
 texmacs-common - WYSIWYG mathematical text editor using TeX fonts
Closes: 666482
Changes: 
 texmacs (1:1.0.7.15-2) unstable; urgency=low
 .
   * Call rsvg-convert instead of rsvg in init-images.scm to allow for
     rsvg to be dropped from the librsvg2-bin package. (Closes: #666482)
Checksums-Sha1: 
 d8e4480bb15905a19efbd70480f172766856fb9d 1422 texmacs_1.0.7.15-2.dsc
 1389eff954841af06dd6a7e07baae86e8272de23 33468 texmacs_1.0.7.15-2.diff.gz
 1ca680d05edeb13c566c00c829841d0a69ea9042 12940704 texmacs-common_1.0.7.15-2_all.deb
 93db0c0132a12b73cc806711eae5ff56d5810652 2230074 texmacs_1.0.7.15-2_i386.deb
Checksums-Sha256: 
 64f4b740cd0a5590c075f05a9aae771a4188ec040595344a1e86b85333561cfd 1422 texmacs_1.0.7.15-2.dsc
 fa93bdb6e4187413e58d27ef47414a816b8d66fa034e2e5fafebcc6d9db50a42 33468 texmacs_1.0.7.15-2.diff.gz
 1c10c16c99771e213aa2c4e2f0fa3ff2a6d052091f15f7fcf2dd641475f36e2e 12940704 texmacs-common_1.0.7.15-2_all.deb
 c544977504a3cf0e78048d69fcea017d3000f0b58b74d9061900049076039c07 2230074 texmacs_1.0.7.15-2_i386.deb
Files: 
 deff5b885eaaa696f58766f61ea8bcea 1422 editors optional texmacs_1.0.7.15-2.dsc
 595f83b070f5bf6edb5952d48f158187 33468 editors optional texmacs_1.0.7.15-2.diff.gz
 ee785ae5118afe62d12e9fd581bab077 12940704 editors optional texmacs-common_1.0.7.15-2_all.deb
 2b31f544f1f92f495071eeed6b99a7fa 2230074 editors optional texmacs_1.0.7.15-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAI2NQACgkQ1IXdL1v6kOy3fgCeKKoybczffqB/KOui7lVfsc55
ha0An1SOJ0mR7m3S0QjmO1VjrF+69pFp
=VGzx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Aug 2012 07:28:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:53:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.